from sqlalchemy import Column, Integer, String, DateTime,ForeignKey
from agent.db.database import Base
from datetime import datetime


class SysOrgan(Base):
    __tablename__ = 'sys_organ'
    id = Column(Integer, primary_key=True, index=True)
    name = Column(String(50), unique=True, index=True, nullable=False) # e.g., "view_dashboard", "edit_settings"
    manager = Column(String(50))
    phone = Column(String(50)) # Display name for the menu
    parent_id = Column(Integer, ForeignKey('sys_organ.id'), nullable=True)

class SysUserRoleOrgan(Base):
    __tablename__ = 'sys_user_role_organ'
    id = Column(Integer, primary_key=True, index=True)
    user_id = Column(Integer)
    role_id = Column(Integer)
    organ_id = Column(Integer)
    data_type = Column(Integer)
    last_use_time = Column(Integer)
    create_time = Column(DateTime, default=datetime.now())
    create_by = Column(String(50))
    update_time = Column(DateTime, default=datetime.now())
    update_by = Column(String(50))